package com.steerinfo.meterwork.meterworkprelink.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.meterwork.meterworkprelink.model.MeterWorkPreLink;

import java.util.List;

/**
 * MeterWorkPreLink服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-10-19 05:09
 * 类描述
 * 修订历史：
 * 日期：2020-10-19
 * 作者：generator
 * 参考：
 * 描述：MeterWorkPreLink服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterWorkPreLinkService extends IBaseService<MeterWorkPreLink, String>{

    //获取当前的下一个环节
    List<MeterWorkPreLink> getNextFlag(String predictionNo, String linkCode);

    //获取之前的所有环节（包括当前）
    List<MeterWorkPreLink> getPer(String predictionNo, String linkCode);

    //获取之后的所有环节（包括当前）
    List<MeterWorkPreLink> getNext(String predictionNo, String linkCode);

    RESTfulResult doQueryWf(MeterWorkPreLink oci);

     void batchReset(String predictionNo);

    void updatePrePro(MeterWorkPreLink oci);

    int combinedLink(MeterWorkPreLink model);

    //查询历史未卸货的车辆数据
    RESTfulResult doQueryNoXh(MeterWorkPreLink model);
}